Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Class ConnectionEvent

    java.lang.Object
      java.util.EventObject
          javax.sql.ConnectionEvent

All Implemented Interfaces:
  Serializable

public class ConnectionEvent
extends EventObject

The ConnectionEvent class provides information about the source of a connection related event. ConnectionEvent objects provide the following information:

- the pooled connection that generated the event
- the SQLException about to be thrown to the application ( in the case of an error event)

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionEvent(PooledConnection pooledConnection)` Construct a ConnectionEvent object.
`ConnectionEvent(PooledConnection pooledConnection, SQLException e)` Construct a ConnectionEvent object.

Method Summary
`SQLException` | `getSQLException()` Gets the SQLException about to be thrown.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionEvent

    public ConnectionEvent(PooledConnection pooledConnection)

  Construct a ConnectionEvent object. SQLException defaults to null.

Parameters:
  `pooledConnection` - - the pooled connection that is the source of the event

### ConnectionEvent

    public ConnectionEvent(PooledConnection pooledConnection,
                           SQLException e)

  Construct a ConnectionEvent object.

Parameters:
  `pooledConnection` - - the pooled connection that is the source of the event
  `e` - - the SQLException about to be thrown to the application

Method Detail

### getSQLException

    public SQLException getSQLException()

  Gets the SQLException about to be thrown. May be null.

  Returns:
    The SQLException about to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.